\documentclass[tikz]{standalone}


\begin{document}
\begin{tikzpicture}
\node[draw,circle, minimum width=1cm] (H1t) at (1,6) {\tiny{$H_1^t$}};
\node[draw,circle, minimum width=1cm] (H2t) at (1,4) {\tiny{$H_2^t$}};
\node[draw,circle, minimum width=1cm] (H3t) at (1,2) {\tiny{$H_3^t$}};
\node[draw,circle, minimum width=1cm] (H4t) at (1,0) {\tiny{$H_4^t$}};
\node[draw,circle, minimum width=1cm] (H1tt) at (4,6) {\tiny{$H_1^{t+1}$}};
\node[draw,circle, minimum width=1cm] (H2tt) at (4,4) {\tiny{$H_2^{t+1}$}};
\node[draw,circle, minimum width=1cm] (H3tt) at (4,2) {\tiny{$H_3^{t+1}$}};
\node[draw,circle, minimum width=1cm] (H4tt) at (4,0) {\tiny{$H_4^{t+1}$}};
\node[draw,circle, minimum width=1cm] (O1t) at (0,7) {\tiny{$O_1^t$}};
\node[draw,circle, minimum width=1cm] (O2t) at (0,5) {\tiny{$O_2^t$}};
\node[draw,circle, minimum width=1cm] (O3t) at (0,3) {\tiny{$O_3^t$}};
\node[draw,circle, minimum width=1cm] (O4t) at (0,1) {\tiny{$O_4^t$}};
\node[draw,circle, minimum width=1cm] (O1tt) at (5,7) {\tiny{$O_1^{t+1}$}};
\node[draw,circle, minimum width=1cm] (O2tt) at (5,5) {\tiny{$O_2^{t+1}$}};
\node[draw,circle, minimum width=1cm] (O3tt) at (5,3) {\tiny{$O_3^{t+1}$}};
\node[draw,circle, minimum width=1cm] (O4tt) at (5,1) {\tiny{$O_4^{t+1}$}};

\draw[->,>=latex] (H1t) -- (O1t) ;
\draw[->,>=latex] (H2t) -- (O2t) ;
\draw[->,>=latex] (H3t) -- (O3t) ;
\draw[->,>=latex] (H4t) -- (O4t) ;
\draw[->,>=latex] (H1tt) -- (O1tt) ;
\draw[->,>=latex] (H2tt) -- (O2tt) ;
\draw[->,>=latex] (H3tt) -- (O3tt) ;
\draw[->,>=latex] (H4tt) -- (O4tt) ;
\draw[->,>=latex] (H1t) -- (O1t) ;
\draw[->,>=latex] (H1t) -- (H1tt);
\draw[->,>=latex] (H2t) -- (H1tt);
\draw[->,>=latex] (H3t) -- (H1tt);
\draw[->,>=latex] (H2t) -- (H2tt);
\draw[->,>=latex] (H1t) -- (H2tt);
\draw[->,>=latex] (H4t) -- (H2tt);
\draw[->,>=latex] (H3t) -- (H3tt);
\draw[->,>=latex] (H1t) -- (H3tt);
\draw[->,>=latex] (H4t) -- (H3tt);
\draw[->,>=latex] (H4t) -- (H4tt);
\draw[->,>=latex] (H2t) -- (H4tt);
\draw[->,>=latex] (H3t) -- (H4tt);
\end{tikzpicture}
\end{document}



